Resolving Transitive dependency for branch 6.X


(Diney Wankhede) #1

Hi,

I'm trying to use elastic-search 6.X branch for my one of my play project which uses sbt. I did the following, I'm not sure how would these dependencies would be resolved?

In the rest-high-level-client and core directory:

gradle clean
gradle assemble
gradle pushToMavenLocal

Included the following in SBT:
resolvers ++= Seq(
"Local Maven" at Path.userHome.asFile.toURI.toURL + ".m2/repository"
....
)

"org.elasticsearch.client" % "elasticsearch-rest-high-level-client" % "6.2.0-SNAPSHOT",
"org.elasticsearch" % "elasticsearch" % "6.2.0-SNAPSHOT",

I think these get pulled and resolved but I get the following error for lucene 7.2.0 dependencies. I see org.apache.lucece 7.2.0 but not 7.2.0-snapshot-7deca62 in ./m2 repo
Do I have to add these manually ? Not sure what I'm missing here.

Error:Error while importing SBT project:
...

[error] unresolved dependency: org.apache.lucene#lucene-suggest;7.2.0-snapshot-7deca62: not found
[error] unresolved dependency: org.elasticsearch#elasticsearch-cli;6.2.0-SNAPSHOT: not found
[error] (*:ssExtractDependencies) sbt.librarymanagement.ResolveException: unresolved dependency: org.apache.lucene#lucene-core;7.2.0-snapshot-7deca62: not found
[error] unresolved dependency: org.apache.lucene#lucene-analyzers-common;7.2.0-snapshot-7deca62: not found
[error] unresolved dependency: org.apache.lucene#lucene-backward-codecs;7.2.0-snapshot-7deca62: not found
[error] unresolved dependency: org.apache.lucene#lucene-grouping;7.2.0-snapshot-7deca62: not found
[error] unresolved dependency: org.apache.lucene#lucene-highlighter;7.2.0-snapshot-7deca62: not found
[error] unresolved dependency: org.apache.lucene#lucene-join;7.2.0-snapshot-7deca62: not found
[error] unresolved dependency: org.apache.lucene#lucene-memory;7.2.0-snapshot-7deca62: not found
[error] unresolved dependency: org.apache.lucene#lucene-misc;7.2.0-snapshot-7deca62: not found
[error] unresolved dependency: org.apache.lucene#lucene-queries;7.2.0-snapshot-7deca62: not found
[error] unresolved dependency: org.apache.lucene#lucene-queryparser;7.2.0-snapshot-7deca62: not found
[error] unresolved dependency: org.apache.lucene#lucene-sandbox;7.2.0-snapshot-7deca62: not found
[error] unresolved dependency: org.apache.lucene#lucene-spatial;7.2.0-snapshot-7deca62: not found
[error] unresolved dependency: org.apache.lucene#lucene-spatial-extras;7.2.0-snapshot-7deca62: not found
[error] unresolved dependency: org.apache.lucene#lucene-spatial3d;7.2.0-snapshot-7deca62: not found
[error] unresolved dependency: org.apache.lucene#lucene-suggest;7.2.0-snapshot-7deca62: not found
[error] unresolved dependency: org.elasticsearch#elasticsearch-cli;6.2.0-SNAPSHOT: not found
[error] Total time: 105 s, completed Dec 15, 2017 10:52:03 AM
[INFO] [12/15/2017 10:52:03.924] [Thread-4] [CoordinatedShutdown(akka://sbt-web)] Starting coordinated shutdown from JVM shutdown hook

See complete log in file:/Library/Logs/IdeaIC2017.2/sbt.last.log

(system) #2

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.